import { BasicColumn, FormSchema } from '/@/components/Table';
import { rules } from '/@/utils/helper/validator';
//列表数据
export const columns: BasicColumn[] = [
  {
    title: 'code',
    align: 'center',
    dataIndex: 'code',
  },
  {
    title: 'name',
    align: 'center',
    dataIndex: 'name',
  },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
  {
    label: 'code',
    field: 'code',
    component: 'Input',
    colProps: { span: 6 },
  },
  {
    label: 'name',
    field: 'name',
    component: 'Input',
    colProps: { span: 6 },
  },
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: 'code',
    field: 'code',
    component: 'Input',
    dynamicRules: ({ model, schema }) => {
      return [{ required: true, message: '请输入code!' }, { ...rules.duplicateCheckRule('dry_eqp_type', 'code', model, schema)[0] }];
    },
  },
  {
    label: 'name',
    field: 'name',
    component: 'Input',
    dynamicRules: ({ model, schema }) => {
      return [{ required: true, message: '请输入name!' }, { ...rules.duplicateCheckRule('dry_eqp_type', 'name', model, schema)[0] }];
    },
  },
  // TODO 主键隐藏字段，目前写死为ID
  {
    label: '',
    field: 'id',
    component: 'Input',
    show: false,
  },
];

/**
 * 流程表单调用这个方法获取formSchema
 * @param param
 */
export function getBpmFormSchema(_formData): FormSchema[] {
  // 默认和原始表单保持一致 如果流程中配置了权限数据，这里需要单独处理formSchema
  return formSchema;
}
